<wms-label>
<label for="{fortarget}" id="{id}" data-nav="{datanav}" data-type="{datatype}" data-allowdecimal="{allowdecimal}" data-precision="{precision}" class="{css}" style="{style}">{value}</label>
<virtual if="{tooltip}">
	<div style="display: inline-block;" class="wms-label-ui-tooltip" title="{tooltip}" >
		<img style="padding-left: 10px; vertical-align: bottom;" src="images/questionicon.png"></img>
	</div>
</virtual>
<script>
	this.fortarget = opts.fortarget;
	this.value = opts.value ? opts.value : opts.riotValue;
	this.datanav = opts.datanav || opts.tagid;
	this.datatype = opts.datatype;
	this.allowdecimal = opts.allowdecimal;
	this.precision = opts.precision;
	this.id = opts.tagid;
	this.css = ((opts.readonly) ? 'readonly lbl ' : '') + ((opts.css) ? opts.css : '');
	this.style = opts.style ? opts.style : '';
	this.tooltip = navs[this.datanav + 'Nav'];
	
	this.on('mount', function() {

		this.tooltip = navs[this.datanav + 'Nav'];
		if (this.tooltip) {
			$(".wms-label-ui-tooltip").poshytip({
				className: 'wms-label-tip',
				followCursor: true,
				slide: false,
				keepInViewport :true,
				liveEvents: true,
				bgImageFrameSize: 11,
				offsetX: -20
			});
		}
		
	});
	
	this.on('updated', function() {
		if (this.value == null || typeof this.value === 'undefined') return;
		if (this.datatype === undefined || this.datatype.length == 0) {
			if ((typeof this.value === 'string') && this.value.match(/<br>/)) {
				this.root.childNodes[0].innerHTML = replaceBr(this.value);
			}
			return;
		}
		if (this.id === undefined || this.id.length == 0) return;
		var $tgttag = $('#' + this.id);
		var opts = {};
		if (this.datatype == 'num') {
			opts.allowdecimal = this.allowdecimal;
			opts.precision = this.precision;
		}
		$tgttag.text(valueFomatter(this.datatype, this.value, opts));
		setDataObj(opts.tagid, opts);
	});

	/**
	 * キーがデータ属性に使用するキーかどうか
	 */
	function isDataAttrKey(key) {
		return key.startsWith('data-');
	}
	
	/**
	 * データ属性を設定する
	 */
	function setDataObj(id, val, forcingFlg) {
		Object.keys(val).forEach(function(key) {
			if (isDataAttrKey(camelToSnake(key, '-')) || forcingFlg) {
				var v = val[key];
				if (typeof v === 'object') {
					setDataObj(id, v, true);
				} else {
					$('#' + id).attr(forcingFlg ? 'data-' + key : camelToSnake(key, '-'), v);
				}
			}
		});
	}
	
</script>
</wms-label>